Cофтпанорама 1990, No. 8 (12)                 Составитель: Н.Н. БЕЗРУКОВ
************************************************************************

                 ***************************************
                 *  П А Н О Р А М А   Н О В О С Т Е Й  *
                 ***************************************

************** НОЯБРЬСКОЕ ЗАСЕДАНИЕ СЕМИНАРА ОТМЕНЯЕТСЯ **************
**********  НОЯБРЬСКИЙ И ДЕКАБРЬСКИЙ ВЫПУСКИ СОФТПАНОРАМЫ ************
******************* ВЫЙДУТ В ДЕКАБРЕ ОДНОВРЕМЕННО ********************

    В связи с проведением конференции ноябрьское заседание семинара 
отменяется. В декабре выйдут одновременно два номера СОФТПАНОРАМЫ
ноябрьский и декабрьский. Для ускорения записи этих номеров просьба к 
индивидуальным подписчикам принести предварительно отформатированные на 
720K дискеты. Запись на неотформатированные дискеты будет выполняться в 
последнюю очередь, после записи на отформатированные. Этот порядок будет 
сохранен и в 1991 году.

    Обращаю Ваше внимание, что декабрь является последним месяцем для 
перерегистрации участников семинара, желающих продолжать получать 
приглашения на 1991 год.  База данных 1990 г. для рассылки приглашений в 
1991 г. использоваться не будет и приглашения на январский семинар будут 
высылаться только подписчикам.

    Цена индивидуальной подписки 11 руб для лиц, являвшихся подписчиками
в 1990 году; 15 руб - для новых подписчиков. 
                                                                 Б.Н.Н

                                *  *  *

******* УТОЧНЕНЫ ЦЕНЫ НА ПОДПИСКУ НА СОФТПАНОРАМУ НА 1991 ГОД **********

    В СП 2-7 в приведенной в файле READ.ME таблице цен на подписку по
недосмотру составителя были допущены ошибки при указании цен на первый
том СОФТПАНОПАМЫ и Компьютерной вирусологии (графы стоимости подписки
без дискет скопированы в графы стоимости подписки с дискетами). Кроме
того, если раньше 1 том бюллетеня предлагался с "нагрузкой" в виде
очередного выпуска Компьютерной вирусологии, то теперь это признано
нецесообразным, поскольку желающие могут подписаться на Компьютерную
вирусологию отдельно.

                                                                Б.Н.Н

                                *  *  *

*** ВЫПУСК КОМПЬЮТЕРНОЙ ВИРУСОЛОГИИ К НАЧАЛУ КОНФЕРЕНЦИИ ПОД УГРОЗОЙ ***

   Договор об издании Компьютерной вирусологии к началу конференции
тиражем 50 тыс экз.  с издательством "Украинская Советская Энциклопедия"
не подписан в связи с отказом асссоциации "Космонавтика-человечеству",
бравшейся за распространение тиража. Отказ мотивируется неприемлемостью
финансовых условий, предложенных издательством.  В рамках
несостоявшегося договора выполнено лит.редактирование, изготовлен
оригинал-макет для печати книги форматом 84*108 1/32 и художественные
иллюстрации (порядка 20 черно белых скетчей на "вирусные" темы).

   Поскольку в данном случае основной пострадавшей стороной помимо
автора книги являются участники конференции, предпринимаются усилия
оперативно издать Компьютерную вирусологию за счет автора тиражем 5 тыс.
экз. Основной нерешенной проблемой является бумага (требуется порядка 3
т.).  Автор срочно ищет организацию-спонсора для приобретения бумаги по
коммерческим ценам и готов предоставить этой организации, как часть
оплаты, право включить в книгу рекламу, обьемом 2-3 стр. Организации,
располагающие бумагой для офсетной печати и заинтересованные в
оперативном издании книги по цене не выше 5 руб. за экз. и/или
распространении тиража, могут заключить договор с автором на издание
книги большим тиражем. Этой организации дополнительно может быть
предоставлено исключительное право на распространение с книгой дискет с
программами-победителями конкурса.

                                                                Б.Н.Н


                                *  *  *

************************** М О Л О Д Ц Ы !  ***************************
*******  Ожидается выход в свет первого Киевского "бумажного" *********
********   компьютерного журнала "Программистские ведомости" **********

     Группа выпускников Киевского Госуниверситета организовала выпуск
пробного номера тиражем 1000 экз. Ориентировочный обьем - 50 стр.
Содержание номера и сведения о составе его редакции будут опубликованы в
следующем номере нашего бюллетеня.

                                                                Б.Н.Н

                                *  *  *

**************************  Прощание с EGA  *************************

     Уровни цен на EGA и VGA сблизились настолько, что покупка
компьютеров с картами EGA становится совершенно неоправданной. Конечно,
Запад нам не указ и картами EGA у нас торгуют вовсю, однако каждый кто
покупает машину с EGA должен отчетливо понимать, что он покупает "не то"
и это должно, безусловно, отражаться на цене. Другими словами машины EGA
должны стоить на 5-10 тыс. руб дешевле т.е. 42-45 тыс. руб., а не 50-55
тыс. руб.

                                                                 Б.Н.Н.

                                *  *  *

*********  Новый домашний компьютер фирмы IBM использует VGA  *********

    Фирма IBM начала продажу машин серии PS/1. Машина имеет винчестер
(обьем неизвестен) и цветной дисплей VGA. Точная цена неизвестна но,
по-видимому близка к $1000. Если фирма Apple не отреагирует на эту машину
к концу года она может потерять свое лидерство в данном классе
персональных компьютеров.

                                                                 Б.Н.Н.
                                *  *  *

******************  Разница в цене между машинами *********************
************  с процессором 80286 и 80386SX упала до $200 *************

    Даже если считать по курсу 1:50, то соответствующая разница в ценах
на компьютеры AT 286 и Super AT 386 не должна превышать 10 тыс руб., а с
учетом 4M памяти - 20 тыс. руб.  В США доля рынка соответствующих типов
микропроцессоров оценивается как:

                      8088/8086             -  9%
                      80286                 - 35%
                      80386SX               - 11%
                      80386DX               - 31%
                      80486                 -  1%
                      Motorola 68000        - 14%

     Как видно из приведенных цифр  80286 быстро вытесняется своими
более мощными "братьями".
                                                                 Б.Н.Н.
                                *  *  *

*************  Европейский парламент выступил в защиту *****************
*************   реконструкции программного обеспечения *****************

     В проведенном в сентябре этого года голосовании Европейский
парламент выступил за легализацию  реконструкции программного
обеспечения в рамках подготоваливаемого закона об охране авторских прав
на программное обеспечение.
     Реконструкция программного обеспечения имеет место, когда фирма
дизассемблирует или трассирует программу для того, чтобы определить как
она работает и создать либо дополнение к этой программе или
конкурирующую программу. Это особенно важно для мелких фирм, которые
часто предлагают продукты, дополняющие какой-то мощный программный пакет,
например dBase и их выживание при появлении новой версии существенно
зависит от возможности реконструкции новой версии программного
обеспечения.
     Поскольку автор последнее время работает именно в этой области и
уже не раз пострадал от отношения к данным вопросам как в чему-то
обязательно связанному с пиратством, такое решение Европейского
парламента нельза не приветствовать.
                                                                 Б.Н.Н.
                                *  *  *

***** Тошиба создает глобальную сеть для связи своих 220 оффисов ********

    В начале сетября представитель фирмы Тошиба (Toshiba) обьявил, что
фирма планирует создать глобальную сеть, стоимостью порядка 33 миллионов
долларов для связи между своими оффисами в различных странах мира.


***********************  dBASE IV Version 1.1 ******************************

      Версия, которая будет бесплатно поставлена всем зарегестриванным
пользователям, меньше, быстрее и более надежна. Из существенных доработок
следует отметить следующие:

      - более эффективная загрузка оверлейных файлов;
      - используется меньше оперативной памяти (минимум 450K);
      - внесен ряд улучшений и дополниний в SQL;
      - в язык внесен ряд новых команд:  error(), keyboard, save
        screen/restore screen, replace from array, set cursor on/off,
        set message to, set directory to, window();
      - снят ряд ограничений на UDF (user defined functions);
      - улучшен интерфейс;

                                                                 Б.Н.Н.

                                *  *  *

**********  Compaq предлагает мощную 486 машину за $21 000 *************

       Базовая конфигурация включает 240M винчестер (возможна поставка
420M (+$3000) или 840M (+$8000) винчестров). Тактовая чистота 33 Mhz.

                                                                 Б.Н.Н.

                                *  *  *

**** Версия иерусалимского вируса, ориентированная на NetWare 2.15 ****
********** Бог наказал фирму Novell за отношение к вирусам, ***********
*** как средству расширения продаж своего программного обеспечения ****

     В феврале этого года появился штамм иерусалимского вируса,
ориентированный на распространение в среде локальной сети NetWare 2.15
фирмы Novell. Вирус способен обходить защиту NetWare и писать и удалять
файлы на файл-сервере не имея соответствующих привилегий. Размер вируса
остался меньше 2K. Фирма Novell разостала по многим BBS предупреждение
об этом вирусе и организовала оперативную группу из четырех человек для
анализа вируса и разработки антидота.
    Следует отметить, что мнение о "полезности" вирусов для
разработчиков системного программного обеспечения было высказано
официально Эндрю Золтовским - директором фирмы NOVELL UK Ltd.,  который
в интервью корреспонденту польского журнала Компьютер заявил: "Сейчас
стало ясно, что великолепным средством борьбы с нелегальным копиями
стали ... компьютерные вирусы, распространяемые чаще всего с бесплатным
(читай "ворованным") программным обеспечением"[Компьютер, 1990, No.2
c.5]. Жизнь показала уязвимость этой неэтичной позиции, подтвердив
справедливость поговорки  "не рой другому яму ..."

                                                                 Б.Н.Н.


                                *  *  *

*********************     Новые стелс-вирусы       ******************

     Последнее время наблюдается появление новых вирусов, при разработке
которых приняты изощренные меры по маскировке своего присутствия на
зараженной машине. Описываемые ниже вирусы основаны на RCE-04096 и,
возможно, принадлежат тому же автору.


                    Вирус  RCE-03584 (Fish - Рыба)
                    ------------------------------
     Неформальное название данного вируса связано с тем, что иногда в
теле зараженных программ встречается строка "FISH FI". Кроме того,
проматривая оперативную память при резидентном вирусе можно обнаружить
имена некоторых рыб. Формально вирус представляет собой резидентный
файловый вирус, заражающий как COM-, так и EXE-файлы. Вирус заражает
COMMAND.COM. Подобно некоторым бутовым вирусам RCE-03584 переживает
теплую перезагрузку, перехватывая комбинацию нажатий Ctrl-Alt-Del.

     При выполнении зараженной программы, вирус проверяет свое наличие в
памяти и, если отсутствует, то инсталлируется в младших адресах
оперативной памяти. При этом, если прерывание 13 не перехвачено другой
программой, то вирус перехватывает это прерывание и резервирует 8192
байта. Если прерывание 13 уже перехвачено, то вирус резервирует только
4096 байт памяти и черех некоторый, случайный интервал времени
инициирует теплую перезагрузку в процессе которой заражает COMMAND.COM и
перехватывает 13 прерывание.

     Будучи резидентным, вирус заражает все открываемые COM- и
EXE-файлы. При этом длина зараженных файлов увеличивается на 3584 байта,
однако это увеличение при резидентном вирусе маскируется. При запуске
программы CHKDSK на зараженной машине диагностируются ошибки в
распределении файлов. Если при этом CHKDSK запущена с ключем /F, то
попытки исправления ведут к потере кластеров и сращиванию файлов.

     Проявление вируса связано с тем, что он замедляет запись в
видеопамять и на инфицированных машинах заметно мерцание экрана дисплея.
Другие проявления вируса неизвестны, хотя вирус проверяет равен ли
текущий год 1991. Подобно вирусу RCE-04096 данный вирус не
обнаруживается ревизорами, запущенными на зараженной системе. Вирус
также обходит сторожа, следящие операциями записи на диск. Кроме того,
вирус постоянно перекодирует себя в оперативной памяти.

     Исторические замечания.  Данный вирус является существенно
переработанной модификацией вирус RCE-04096 и был выделен в мае 1990 г.
К моменту выделения он был достаточно распространен в Западной Европе.
Предполагается, что он был разработан в Западной Германии. В СССР не
выделен. Приводимые сведения базируются, в основном,  на списке
П.Хоффман.

     Методы и программные средства защиты. Вирус детектируется
полидетектором SCAN, начиная с версии 66 (см. СП 2-7).


                    Вирус  Mother Fish (Whale)
                    -------------------------
     Данный вирус является наиболее сложным и изощренным из известных
стелс-вирусов. Размер кода достигает 9К. Это приблизительно 6 тыс строк
исходного текста, т.е. от нескольких месяцев  до года упорной работы.
Вирус написан программистом, знакомым с непосредственным
программированием входящих в состав IBM/PC контроллеров, в частности
контролллера прерываний 8259 и контроллера 8255, управляющего
периферийными устройствами.  Вирус зашифрован и имеет
самомодифицирующийся инсталлятор. Это делает детектирование достаточно
сложной задачей, хотя Scan вроде бы успешно с ней справляется.

     Исторические замечания.  Данный вирус, по-видимому, является
развитием предыдущего. Обнаружен примерно в июле-августе 1990 г. в
Западной Европе, а также в Болгарии. В СССР не выделен. Приводимые сведения
базируются, в основном,  на материалах Virus forum FIDO NET.

     Методы и программные средства защиты. Вирус детектируется
полидетектором SCAN, начиная с версий, датированных августом 1990 г.


                                                                 Б.Н.Н


                                *  *  *

************** Бурное размножение отечественных техно-крыс *****************

    Осень 1990 года можно считать сезоном бурного размножения
отечественных техно-крыс. Помимо известной воронежской техно-крысы,
разработавшей вирусы RС-600 и RCE-1600, появилась техно-крыса из
Технического Университета им.Баумана и техно-крыса из Кемерово.

                                                                 Б.Н.Н
